div#next-date,div#prev-date{
	position: absolute;
	top:5;
	cursor: pointer;
	background-color: rgba(200, 200, 200, 0.5);
	padding: .5em 1em;
	margin: 0 5 5 5;
	border-radius: 3px;
}
div#prev-date{
	left:0;
}
div#next-date{
	right:0;
}
.map-scroll{
        display: inline-block;
        /*width: 99%;
	height: 99%;*/
        scroll-snap-align: center;
	vertical-align: top;
}
div.map-scroll img{
        max-width: 100%;
}
div.map-scroll object{
	width: 100%;
}
div#map-overlays{
        position: relative;
        display: inline-block;
        width: 100%;
        vertical-align: top;
        overflow-x: scroll;
        white-space: nowrap;
        scroll-snap-type: x mandatory;
}
 /* Hide scrollbar for Chrome, Safari and Opera */
div#map-overlays::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
div#map-overlays{
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

div.map-title{
	text-align: center;
	font-size: 1.5em;
}
@media (min-width: 960px){
	.center-content div#map-overlays{
		height: 452px;
		margin-bottom: 0;
	}
	.left-content div#station-data {
	    height: calc( 452px + 0em );
	}
	.odd-color td{
		color: black;
	}
	#small-screen-sponsor {
		display: none;
	}
	#prev-date.do-show,#next-date.do-show{
		display: block;
	}
	#prev-date.no-show,#next-date.no-show{
		display: none;
	}
	
}
@media (max-width: 959px){
	.odd-color{
		color: rgba(255,255,255,0);
	}
	#map-legend tr{
		font-size: 1.25rem
	}
	#large-screen-sponsor {
		display: none;
	}
	#prev-date,#next-date,#prev-date.do-show,#next-date.do-show,#prev-date.no-show,#next-date.no-show{
		display: none;
	}
}
div#map-legend table{
	margin-left: auto;
	margin-right: auto;
}
div#map-legend tr:first-child{
	border: solid 1px lightgray;
}
div#map-legend{
	margin-bottom: 2em;
}
#large-screen-sponsor img, #small-screen-sponsor img{
	max-width: 100%;
	height: auto;
}
#small-screen-sponsor{
	text-align: center;
	margin-left: auto;
	margin-right: auto;
	width: 30%;
}

#map-legend td{
        width: 1em;
        height: 1em;
	text-align: center;
}
#logo {
	margin: -25px 0px -180px;
	width: 100%;
}

#title{
	padding: 0;
    font-weight: 700;
    font-family: sans-serif;
    text-align: center;
}

#small_screen_title {
	text-align: center;
	font-weight: 700;
	font-family: sans-serif;
}

#small_screen_logo {
	width: 30%;
	margin: -70px 230px 9px;	
}

tr.highlight{
	background-color: #7137bd;
	color: white;
}
td.sortable-header.highlight{
	color: black;
	font-weight: bold;
}

td.table-low.highlight{
	/*background-color: #30a356;*/
	background-color: #739b35;
	color: white;
}
td.table-low{
	/*background-color: #addc6f;*/
	background-color: #d3e5b7;
}
td.table-mod.highlight{
	/*background-color: #9eaf56;*/
	background-color: #4eacef;
	color: white;
}
td.table-mod{
	/*background-color: #dcf08f;*/
	background-color: #c1def2;
}
td.table-high.highlight{
	/*background-color: #c18c05;*/
	background-color: #ccc61a;
	color: white;
}
td.table-high{
	/*background-color: #fcd574;*/
	background-color: #f2f0c1;
}
td.table-v-high.highlight{
	/*background-color: #f25521;*/
	background-color: #eb932a;
	color: white;
}
td.table-v-high{
	/*background-color: #fccaba;*/
	background-color: #f2dcc1;
}
td.table-extreme.highlight{
	/*background-color: #9e2bd8;*/
	background-color: #b33033;
	color: white;
}
td.table-extreme{
	/*background-color: #e0a9fc;*/
	background-color: #f2c1c2;
}
td.highlight{
	background-color: #7137bd;
	color: white;
}
span#beta{
	margin-left: 1em;
	background-color: #7137bd;
	color: white;
	padding: .1em .5em;
	border-radius: .5em;
	font-size: .9em;
}
#station-display tr{
	margin-top: 1px;
}
.station-display-div{
	width: 100%;
	display: flex
	justify-content: space-between;
	/*padding: .1em;
	margin: 1px;*/
	border-radius: 1px;
	cursor: pointer;
}
.station-display-heading{
	width: 100%;
	font-weight: bold;
	text-align: center;
}
.station-display-table{
	text-align: center;
	font-size: 1.1em;
	width: 100%;
	table-layout: fixed;
}
.station-display-table td{
	padding: .1em;
	border: solid 1px #aaa;
}

td.label-date{
	border-top: none;
	border-bottom: none;
}
td.date-bottom-border{
	border-bottom: solid 1px #aaa;
}
td.date-top-border{
	border-top: solid 1px #aaa;
}
td.label-tod.night {
  background: #777;
  color: white;
}
td.label-tod.day{
	color: #777;
}
td.value{
	color: white;
}
.center-content #all-charts *{
	width: calc( 100% - 1em );
}
#scroll-dots{
	width: 80%;
	margin-left: auto;
	margin-right: auto;
	display: flex;
	justify-content: space-between;
}
.scroll-dot{
	width: 8;
	height: 8;
	border: solid 2px #b3b0b0;
	border-radius: 1em;
	display: inline-block;
	vertical-align: top;
	cursor: pointer;
}
.scroll-dot.selected{
	background-color: gray;
	border-color: gray;
}
span#station-name{
	display: block;
	width: 100%;
	height: 2em;
	background-color: #7137bd;
	color: white;
	padding: .5em;
	border-radius: 3px 3px 0 0;
	border-color: #7137bd;
	text-align: center;
}
#map-legend{
    padding: 1em;
    height: 2em;
}
#cci-legend table,#chart-legend table{
        margin-left: auto;
        margin-right: auto;
}
#cci-legend td,#chart-legend td{
        width: 8em;
        height: 1em;
        text-align: center;
        font-weight: bold;
        cursor: default;
        font-size: .875em;
}
#cci-legend td{
        color: black;
}
.cold-danger{
    color: white;
    background-color: #ac44c4;
}
.cold-caution{
    color: white;
    background-color: #578bff;
}
.comfortable{
    color: white;
    background-color: #009242;
}
.heat-caution{
    color: white;
    background-color: #ff9801;
}
.heat-danger{
    color: white;
    background-color: #ff0000;
}

/***************** TABLE ***************/
#table-type-select{
	display: inline-block;
	width: 16em;
	vertical-align: top;
	margin: 1em;
}
#table-type-select select{
	width: 100%;
	margin-bottom: 1em;
}
#data-table{
	display: inline-table;
	table-layout: fixed;
	max-width: 420;
	margin: 1em 0;
}
#data-table td{
	padding: .25em;
	text-align: center;
	cursor: pointer;
}
#data-table th{
	font-size: 1.25em;
	cursor: pointer;
	padding: .5em .25em;
	text-align: center;
	background: #d2baf2;
	color: black;
	border: solid 1px white;
	font-weight: normal;
}
#data-table th:hover{
	font-weight: bold;
}
.chevron-up,.chevron-down{
	width: 1em;
	height: 1em;
	display: none;
	vertical-align: middle;
}
th.ascending .chevron-down{
	display: inline-block;
}
th.descending .chevron-up{
	display: inline-block;
}
#update-div{
	width: 100%;
	background: #3d2361;
}
#update-table{
	width: 400px;
	margin-left: auto;
	margin-right: auto;
	color: #aea9a9;
	font-size: 1em;
}



/******* SLIDER SWITCH *******/
/*** https://proto.io/freebies/onoff/ ***/

div#temp-level-controls{
	padding: 1em;
	text-align: center;
}
    .onoffswitch {
        position: relative; width: 32px;
	display: inline-block;
	vertical-align: middle;
        -webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
    }
    .onoffswitch-checkbox {
        position: absolute;
        opacity: 0;
        pointer-events: none;
    }
    .onoffswitch-label {
        display: block; overflow: hidden; cursor: pointer;
        border: 2px solid #999999; border-radius: 33px;
    }
    .onoffswitch-inner {
        display: block; width: 200%; margin-left: -100%;
        transition: margin 0.3s ease-in 0s;
    }
    .onoffswitch-inner:before, .onoffswitch-inner:after {
        display: block; float: left; width: 50%; height: 14px; padding: 0; line-height: 14px;
        font-size: 14px; color: white; font-family: Trebuchet, Arial, sans-serif; font-weight: bold;
        box-sizing: border-box;
    }
    .onoffswitch-inner:before {
        content: "";
        padding-left: 10px;
        background-color: #FFFFFF; color: #FFFFFF;
    }
    .onoffswitch-inner:after {
        content: "";
        padding-right: 10px;
        background-color: #FFFFFF; color: #999999;
        text-align: right;
    }
    .onoffswitch-switch {
        display: block; width: 12px; margin: 2.5px;
        background: #7137BD;
        position: absolute; top: 0; bottom: 0;
        right: 14px;
        border: 2px solid #999999; border-radius: 33px;
        transition: all 0.3s ease-in 0s;
    }
    .onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
        margin-left: 0;
    }
    .onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
        right: 0px;
        background-color: #7137BD;
    }

    table.cci td{
        border: solid black 1px;
        text-align: left;
        padding: .5em;
}
table.cci{
        border: solid black 1px;
	margin-left: auto;
	margin-right: auto;
}
